<template>
  <footer class="footer footer-color d-print-none small mt-5 pb-2">
    <!-- Container -->
    <b-container class="text-center text-md-left mt-0">
      <!-- Grid row -->
      <b-row class="mt-0">
        <!-- Disclaimer -->
        <b-col md="12" lg="4" xl="4" class="mx-auto">
          <b-row>
            <b-col md="12" class="mb-2 align-items-center">
              <b-col class="p-0">
                <NuxtLink to="/">
                  <b-img
                    src="/logo-footer.svg"
                    width="120"
                    height="32"
                    alt="RISIS Core Facility"
                  />
                </NuxtLink>
              </b-col>
            </b-col>
            <b-row>
              <b-col md="3" lg="3" class="mb-2 mt-2 align-items-center">
                <b-col class="p-0">
                  <NuxtLink to="/">
                    <b-img src="/sponsor.svg" alt="RISIS Core Facility" />
                  </NuxtLink>
                </b-col>
              </b-col>
              <b-col
                md="9"
                lg="9"
                class="mb-2 mt-2 align-items-center align-middle d-flex"
              >
                <b-col class="p-0">
                  <p class="m-0">
                    This project is funded by the European Union under
                    Horizon2020 Research and Innovation Programme Grant
                    Agreement n°824091
                  </p>
                </b-col>
              </b-col>
            </b-row>
          </b-row>
        </b-col>
        <!-- Disclaimer -->

        <!-- About -->
        <b-col md="2" lg="1" xl="1" class="mx-auto">
          <h6 class="text-uppercase font-weight-bold">About</h6>
          <hr
            class="deep-purple accent-2 mb-2 mt-0 d-inline-block mx-auto"
            style="width: 60px"
          />
          <b-row>
            <b-col cols="12" class="mb-2 p-0 align-items-center">
              <b-col class="text-truncate">
                <a
                  :href="link('description')"
                  class="text-body d-block text-truncate"
                  target="_blank"
                  >Project</a
                >
              </b-col>
            </b-col>
            <b-col cols="12" class="mb-2 p-0 align-items-center">
              <b-col class="text-truncate">
                <a
                  :href="link('objectives')"
                  class="text-body d-block text-truncate"
                  target="_blank"
                  >Objectives</a
                >
              </b-col>
            </b-col>
            <b-col cols="12" class="mb-2 p-0 align-items-center">
              <b-col class="text-truncate">
                <a
                  :href="link('documents')"
                  class="text-body d-block text-truncate"
                  target="_blank"
                  >Documents</a
                >
              </b-col>
            </b-col>
          </b-row>
        </b-col>
        <!-- About -->

        <!-- Members -->
        <b-col md="2" lg="1" xl="1" class="mx-auto">
          <h6 class="text-uppercase font-weight-bold">Members</h6>
          <hr
            class="deep-purple accent-2 mb-2 mt-0 d-inline-block mx-auto"
            style="width: 60px"
          />
          <b-row class="row">
            <b-col cols="12" class="mb-2 align-items-center">
              <b-col class="text-truncate">
                <a
                  :href="link('partners')"
                  class="text-body d-block text-truncate"
                  target="_blank"
                  >Partners</a
                >
              </b-col>
            </b-col>
            <b-col cols="12" class="mb-2 align-items-center">
              <b-col class="text-truncate">
                <a
                  :href="link('board')"
                  class="text-body d-block text-truncate"
                  target="_blank"
                  >Board</a
                >
              </b-col>
            </b-col>
            <b-col cols="12" class="mb-2 align-items-center">
              <b-col class="text-truncate">
                <a
                  :href="link('committees')"
                  class="text-body d-block text-truncate"
                  target="_blank"
                  >Committees</a
                >
              </b-col>
            </b-col>
          </b-row>
        </b-col>
        <!-- Members -->

        <!-- Resources -->
        <b-col md="4" lg="3" xl="3" class="mx-auto mb-md-0">
          <h6 class="text-uppercase font-weight-bold">Resources</h6>
          <hr
            class="deep-purple accent-2 mb-2 mt-0 d-inline-block mx-auto"
            style="width: 60px"
          />
          <b-row class="mb">
            <b-col cols="6" class="mb-2 align-items-center">
              <b-col class="text-truncate">
                <a
                  :href="`/access-request/datasets`"
                  class="text-body d-block text-truncate"
                  target="_blank"
                  >Datasets</a
                >
              </b-col>
            </b-col>
            <b-col cols="6" class="mb-2 align-items-center">
              <b-col class="text-truncate">
                <a
                  :href="link('registers')"
                  class="text-body d-block text-truncate"
                  target="_blank"
                  >Registers</a
                >
              </b-col>
            </b-col>
            <b-col cols="6" class="mb-2 align-items-center">
              <b-col class="text-truncate">
                <a
                  :href="link('indicators')"
                  class="text-body d-block text-truncate"
                  target="_blank"
                  >Indicators</a
                >
              </b-col>
            </b-col>
            <b-col cols="6" class="mb-2 align-items-center">
              <b-col class="text-truncate">
                <a
                  :href="link('services')"
                  class="text-body d-block text-truncate"
                  target="_blank"
                  >Services</a
                >
              </b-col>
            </b-col>
            <b-col cols="6" class="mb-2 align-items-center">
              <b-col class="text-truncate">
                <a
                  :href="link('methods')"
                  class="text-body d-block text-truncate"
                  target="_blank"
                  >Methods</a
                >
              </b-col>
            </b-col>
            <b-col cols="6" class="mb-2 align-items-center">
              <b-col class="text-truncate">
                <a
                  href="https://datastore.risis.io/"
                  target="_blank"
                  class="text-body d-block text-truncate"
                  >Datastore</a
                >
              </b-col>
            </b-col>
          </b-row>
        </b-col>
        <!-- Resources -->
      </b-row>
      <!-- Grid row -->

      <!-- Grid row -->
      <b-row class="align-items-center flex-row-reverse mt-2 mb-2">
        <b-col sm="12" lg="8" class="text-center">
          <ul class="list-inline list-inline-dots mb-0 ml-3 small">
            <li class="list-inline-item small">
              Rimow
              <b-link
                href="https://gitlab.com/risis/rcf/risis-rcf-rimow/-/releases"
                class="link-secondary"
                target="_blank"
                rel="noopener noreferrer"
                >v{{ version }}</b-link
              >
            </li>
            <li class="list-inline-item small">
              Conceived by
              <b-link
                href="https://cogniteva.com/"
                class="link-secondary"
                target="_blank"
                rel="noopener noreferrer"
                >Cogniteva</b-link
              >
            </li>
          </ul>
        </b-col>
        <b-col sm="12" lg="4" class="text-center">
          <ul class="list-inline list-inline-dots mb-0">
            <li class="list-inline-item">
              &copy; 2019 &mdash;{{ currentYear }}
            </li>
            <li class="list-inline-item">
              <NuxtLink
                v-b-modal.modal-codeofconduct
                to="#"
                class="link-secondary"
                >Code of Conduct</NuxtLink
              >
            </li>
            <li class="list-inline-item">
              <a :href="mailTo" class="link-secondary">Contact</a>
            </li>
          </ul>
        </b-col>
      </b-row>
    </b-container>
    <!-- Copyright -->
    <CodeOfConduct id="modal-codeofconduct" title="RISIS - Code of Conduct" />
  </footer>
</template>

<script>
import { mapGetters } from 'vuex';
import { version } from '../package.json';
import CodeOfConduct from './modals/CodeOfConduct.vue';
export default {
  components: {
    CodeOfConduct,
  },
  computed: {
    ...mapGetters({
      currentYear: 'ui/currentYear',
    }),
    mailTo() {
      return `mailto:${this.$nuxt.context.store.getters['ui/mailTo']}`;
    },
    version() {
      return version;
    },
    link() {
      return (key) => {
        return this.$nuxt.context.store.getters['ui/links']('risis', key);
      };
    },
  },
};
</script>
